Subject: Re: bug#51329: Acknowledgement (adns parallel build failure (and git access problems))

From: Sergei Trofimovich <[email-masked]>
Date: Fri, 22 Oct 2021 09:36:01 +0100

>    make[1]: Entering directory '/home/slyfox/dev/git/adns-ccaa001/regress'
..
>    gcc -g -O2 -Wall -Wmissing-prototypes -Wwrite-strings -Wstrict-prototypes -Wcast-qual -Wpointer-arith -Wno-pointer-sign -Wno-unused-value  -I../src -I. -I./../src  -DADNS_REGRESS_TEST -I. -I ./../src -c -g -o adnsresfilter_c.o ../client/adnsresfilter.c
>    In file included from ../client/adnsresfilter.c:46:
>    ./hredirect.h:3:10: fatal error: hsyscalls.h: No such file or directory
>        3 | #include "hsyscalls.h"
>          |          ^~~~~~~~~~~~~
>    compilation terminated.
>    make[1]: *** [Makefile:130: adnsresfilter_c.o] Error 1

Looking at
    http://www.chiark.greenend.org.uk/ucgi/~ianmdlvl/git?p=adns.git;a=blob;f=regress/Makefile.in;h=993c1af66e2fbda331aee965ac2bfc8d3665c43e;hb=HEAD#l133

Could it be we are missing cross-header 'hredirect.h' dependency on
'hsyscalls.h'?

-- 

  Sergei